Workflows

Get all workflows

Get all workflows

Responses
  • application/json
  • 401

    Unauthorized

  • 500

    Internal Error

Request Example for get/workflows
curl 'https://{prefix}.api.sandbox.checkout.com/workflows' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "data": [
    {
      "id": "wf_wlu3wxc26jounofs5iez75qaqa",
      "name": "Webhooks workflow",
      "active": true,
      "_links": {
        "self": {
          "href": "https://{prefix}.api.checkout.com/workflows/wf_wlu3wxc26jounofs5iez75qaqa"
        }
      }
    }
  ]
}

Add a workflow

Add a new workflow

Body·
required
application/json
  • name
    Type: string

    A name you can use to describe your workflow

  • active
    Type: boolean

    Indicates whether the workflow is currently active

  • conditions
    Type: array object[] · 1…

    Only one condition of the same type is permitted

  • actions
    Type: array object[] · 1…

    One or more workflow actions

    Action that sends a webhook

Responses
  • application/json
  • 401

    Unauthorized

  • application/json
  • 500

    Internal Error

Request Example for post/workflows
curl 'https://{prefix}.api.sandbox.checkout.com/workflows' \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "name": "Webhooks workflow",
  "active": true,
  "conditions": [
    {
      "type": "event",
      "events": {
        "gateway": [
          "payment_approved",
          "payment_declined",
          "card_verification_declined",
          "card_verified",
          "payment_authorization_incremented",
          "payment_authorization_increment_declined",
          "payment_capture_declined",
          "payment_captured",
          "payment_refund_declined",
          "payment_refunded",
          "payment_void_declined",
          "payment_voided"
        ],
        "dispute": [
          "dispute_canceled",
          "dispute_evidence_required",
          "dispute_expired",
          "dispute_lost",
          "dispute_resolved",
          "dispute_won"
        ]
      }
    },
    {
      "type": "entity",
      "entities": [
        "ent_xyfdshfudosfdshfdiosfds",
        "ent_fidjosfjdisofdjsifdosfu"
      ]
    },
    {
      "type": "processing_channel",
      "processing_channels": [
        "pc_axclravnqf5u5ejkweijnp5zc4"
      ]
    }
  ],
  "actions": [
    {
      "type": "webhook",
      "url": "https://example.com/webhooks",
      "headers": {
        "Authorization": "<AUTHORIZATION_UUID>"
      },
      "signature": {
        "method": "HMACSHA256",
        "key": "8V8x0dLK%AyD*DNS8JJr"
      }
    }
  ]
}'
{
  "id": "wf_wlu3wxc26jounofs5iez75qaqa",
  "_links": {
    "self": {
      "href": "https://{prefix}.api.checkout.com/workflows/wf_wlu3wxc26jounofs5iez75qaqa"
    }
  }
}

Get a workflow

Get the details of a workflow

Path Parameters
  • workflowId
    Type: string Pattern: ^wf_[a-z0-9]{26}$
    required

    The workflow identifier

Responses
  • application/json
  • 401

    Unauthorized

  • 404

    Workflow not found

  • 500

    Internal Error

Request Example for get/workflows/{workflowId}
curl 'https://{prefix}.api.sandbox.checkout.com/workflows/wf_c7svxlvo2bbuva4f6s3xu4f7wm' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "wf_34pacj7ae6wexju4avpecxvp6e",
  "name": "Webhooks workflow",
  "active": true,
  "conditions": [
    {
      "id": "wfc_tisekcawefze3l27uaai6hz74e",
      "type": "event",
      "events": {
        "gateway": [
          "payment_approved",
          "payment_pending",
          "payment_declined"
        ]
      },
      "_links": {
        "self": {
          "href": "https://{prefix}.api.checkout.com/workflows/wf_34pacj7ae6wexju4avpecxvp6e/conditions/wfc_tisekcawefze3l27uaai6hz74e"
        }
      }
    },
    {
      "id": "wfc_tisekcawefze3l27uaai6hz74y",
      "type": "entity",
      "entities": [
        "ent_xyfdshfudosfdshfdiosfds",
        "ent_fidjosfjdisofdjsifdosfu"
      ],
      "_links": {
        "self": {
          "href": "https://{prefix}.api.checkout.com/workflows/wf_34pacj7ae6wexju4avpecxvp6e/conditions/wfc_tisekcawefze3l27uaai6hz74y"
        }
      }
    },
    {
      "id": "wfc_tisekcawefze3l27uaai6hz26y",
      "type": "processing_channel",
      "processing_channels": [
        "pc_axclravnqf5u5ejkweijnp5zc4"
      ],
      "_links": {
        "self": {
          "href": "https://{prefix}.api.checkout.com/workflows/wf_34pacj7ae6wexju4avpecxvp6e/conditions/wfc_tisekcawefze3l27uaai6hz26y"
        }
      }
    }
  ],
  "actions": [
    {
      "id": "wfa_itja4x7zgzye3andzqq62u4hvq",
      "type": "webhook",
      "url": "https://example.com/webhooks",
      "headers": {
        "Authorization": "<AUTHORIZATION_UUID>"
      },
      "signature": {
        "method": "HMACSHA256",
        "key": "8V8x0dLK%AyD*DNS8JJr"
      },
      "_links": {
        "self": {
          "href": "https://{prefix}.api.checkout.com/workflows/wf_34pacj7ae6wexju4avpecxvp6e/actions/wfa_itja4x7zgzye3andzqq62u4hvq"
        }
      }
    }
  ],
  "_links": {
    "self": {
      "href": "https://{prefix}.api.checkout.com/workflows/wf_wlu3wxc26jounofs5iez75qaqa"
    }
  }
}

Remove a workflow

Removes a workflow so it is no longer being executed. Actions of already executed workflows will be still processed.

Path Parameters
  • workflowId
    Type: string Pattern: ^wf_[a-z0-9]{26}$
    required

    The workflow identifier

Responses
  • 401

    Unauthorized

  • 404

    Workflow not found

  • 500

    Internal Error

Request Example for delete/workflows/{workflowId}
curl 'https://{prefix}.api.sandbox.checkout.com/workflows/wf_c7svxlvo2bbuva4f6s3xu4f7wm' \
  --request DELETE \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
No Body

Patch a workflow

Update a workflow.

Path Parameters
  • workflowId
    Type: string Pattern: ^wf_[a-z0-9]{26}$
    required

    The workflow identifier

Body·
required
application/json
  • name
    Type: string

    A name to describe the workflow

  • active
    Type: boolean

    Indicates whether the workflow is currently active

  • conditions
    Type: array object[] · 1…

    One or more workflow conditions

  • actions
    Type: array object[] · 1…

    One or more workflow actions

    The action that sends a webhook

Responses
  • application/json
  • 401

    Unauthorized

  • 404

    Workflow not found

  • application/json
  • 500

    Internal Error

Request Example for patch/workflows/{workflowId}
curl 'https://{prefix}.api.sandbox.checkout.com/workflows/wf_c7svxlvo2bbuva4f6s3xu4f7wm' \
  --request PATCH \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "name": "Webhooks workflow",
  "active": true,
  "conditions": [
    {
      "type": "event",
      "events": {
        "gateway": [
          "payment_approved",
          "payment_pending",
          "payment_declined"
        ]
      }
    },
    {
      "type": "entity",
      "entities": [
        "ent_xyfdshfudosfdshfdiosfds",
        "ent_fidjosfjdisofdjsifdosfu"
      ]
    },
    {
      "type": "processing_channel",
      "processing_channels": [
        "pc_axclravnqf5u5ejkweijnp5zc4"
      ]
    }
  ],
  "actions": [
    {
      "workflow_action_id": "wfa_itja4x7zgzye3andzqq62u4hvq",
      "type": "webhook",
      "url": "https://example.com/webhooks",
      "headers": {
        "Authorization": "<AUTHORIZATION_UUID>"
      },
      "signature": {
        "method": "HMACSHA256",
        "key": "8V8x0dLK%AyD*DNS8JJr"
      }
    }
  ]
}'
{
  "id": "wf_c7svxlvo2bbuva4f6s3xu4f7wm",
  "name": "Webhooks workflow",
  "active": true,
  "conditions": [
    {
      "id": "wfc_tisekcawefze3l27uaai6hz74e",
      "type": "event",
      "events": {
        "gateway": [
          "payment_approved",
          "payment_pending",
          "payment_declined"
        ]
      }
    },
    {
      "id": "wfc_tisekcawefze3l27uaai6hz74y",
      "type": "entity",
      "entities": [
        "ent_xyfdshfudosfdshfdiosfds",
        "ent_fidjosfjdisofdjsifdosfu"
      ]
    },
    {
      "id": "wfc_tisekcawefze3l27uaai6hz26y",
      "type": "processing_channel",
      "processing_channels": [
        "pc_axclravnqf5u5ejkweijnp5zc4"
      ]
    }
  ],
  "actions": [
    {
      "id": "wfa_itja4x7zgzye3andzqq62u4hvq",
      "type": "webhook",
      "url": "https://example.com/webhooks",
      "headers": {
        "Authorization": "<AUTHORIZATION_UUID>"
      },
      "signature": {
        "method": "HMACSHA256",
        "key": "8V8x0dLK%AyD*DNS8JJr"
      }
    }
  ],
  "_links": {
    "self": {
      "href": "http://flow.cko.lon/client/workflows/wf_c7svxlvo2bbuva4f6s3xu4f7wm"
    }
  }
}

Add a workflow action

Adds a workflow action. Actions determine what the workflow will do when it is triggered.

Path Parameters
  • workflowId
    Type: string Pattern: ^wf_[a-z2-7]{26}$
    required

    The workflow identifier

Body·
required
application/json
Empty object

    Action that sends a webhook

    • type
      Discriminator
      Type: string
      required

      The type of workflow action

    • url
      Type: string Format: uri
      required

      Your webhook endpoint URL

    • headers
      Type: object

      Optional HTTP headers added to the request

    • signature
      Type: object

      Used to produce a signature of the webhook contents that will be included in the Cko-Signature header. This value can be computed by you on receipt of a webhook to validate its authenticity.

Responses
  • application/json
  • 401

    Unauthorized

  • 404

    Workflow not found

  • application/json
  • 500

    Internal Error

Request Example for post/workflows/{workflowId}/actions
curl 'https://{prefix}.api.sandbox.checkout.com/workflows/wf_c7svxlvo2bbuva4f6s3xu4f7wm/actions' \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "type": "webhook",
  "url": "https://example.com/webhooks",
  "headers": {
    "Authorization": "<AUTHORIZATION_UUID>"
  }
}'
{
  "id": "wfa_wlu3wxc26jounofs5iez75qaqa",
  "_links": {
    "self": {
      "href": "https://{prefix}.api.checkout.com/workflows/wf_wlu3wxc26jounofs5iez75qaqa/actions/wfa_wlu3wxc26jounofs5iez75qaqa"
    }
  }
}

Update a workflow action

Update a workflow action.

Path Parameters
  • workflowId
    Type: string Pattern: ^wf_[a-z0-9]{26}$
    required

    The workflow identifier

  • workflowActionId
    Type: string Pattern: ^wfa_[a-z0-9]{26}$
    required

    The workflow action identifier

Body·
required
application/json
Empty object

    Action that sends a webhook

    • type
      Discriminator
      Type: string
      required

      The type of workflow action

    • url
      Type: string Format: uri
      required

      Your webhook endpoint URL

    • headers
      Type: object

      Optional HTTP headers added to the request

    • signature
      Type: object

      Used to produce a signature of the webhook contents that will be included in the Cko-Signature header. This value can be computed by you on receipt of a webhook to validate its authenticity.

Responses
  • 401

    Unauthorized

  • 404

    Workflow or workflow action not found

  • application/json
  • 500

    Internal Error

Request Example for put/workflows/{workflowId}/actions/{workflowActionId}
curl 'https://{prefix}.api.sandbox.checkout.com/workflows/wf_c7svxlvo2bbuva4f6s3xu4f7wm/actions/wfa_d5estuyxzshubhly2wu3hloehi' \
  --request PUT \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "type": "webhook",
  "url": "https://example.com/webhooks",
  "headers": {
    "Authorization": "<AUTHORIZATION_UUID>"
  }
}'
No Body

Remove a workflow action

Removes a workflow action. Actions determine what the workflow will do when it is triggered.

Path Parameters
  • workflowId
    Type: string Pattern: ^wf_[a-z2-7]{26}$
    required

    The workflow identifier

  • workflowActionId
    Type: string Pattern: ^wfa_[a-z2-7]{26}$
    required

    The workflow action identifier

Responses
  • 401

    Unauthorized

  • 404

    Workflow or workflow action not found

  • application/json
  • 500

    Internal Error

Request Example for delete/workflows/{workflowId}/actions/{workflowActionId}
Shell Curl
curl 'https://{prefix}.api.sandbox.checkout.com/workflows/wf_c7svxlvo2bbuva4f6s3xu4f7wm/actions/wfa_c7svxlvo2bbuva4f6s3xu4f7wm' \
  --request DELETE \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
No Body

Add a workflow condition

Adds a workflow condition. Conditions determine when the workflow will trigger.

Path Parameters
  • workflowId
    Type: string Pattern: ^wf_[a-z2-7]{26}$
    required

    The workflow identifier

Body·
required
application/json
Empty object

    Condition that enables a source

    • type
      Discriminator
      Type: string
      required

      The type of the workflow condition

    • events
      Type: object ·
      required
Responses
  • application/json
  • 401

    Unauthorized

  • 404

    Workflow not found

  • application/json
  • 500

    Internal Error

Request Example for post/workflows/{workflowId}/conditions
curl 'https://{prefix}.api.sandbox.checkout.com/workflows/wf_c7svxlvo2bbuva4f6s3xu4f7wm/conditions' \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "type": "event",
  "events": {
    "gateway": [
      "payment_approved",
      "payment_pending",
      "payment_declined"
    ]
  }
}'
{
  "id": "wfc_wlu3wxc26jounofs5iez75qaqa",
  "_links": {
    "self": {
      "href": "https://{prefix}.api.checkout.com/workflows/wf_wlu3wxc26jounofs5iez75qaqa/conditions/wfc_wlu3wxc26jounofs5iez75qaqa"
    }
  }
}

Update a workflow condition

Update a workflow condition.

Path Parameters
  • workflowId
    Type: string Pattern: ^wf_[a-z0-9]{26}$
    required

    The workflow identifier

  • workflowConditionId
    Type: string Pattern: ^wfc_[a-z0-9]{26}$
    required

    The workflow condition identifier

Body·
required
application/json
Empty object

    Condition that enables a source

    • type
      Discriminator
      Type: string
      required

      The type of the workflow condition

    • events
      Type: object ·
      required
Responses
  • 401

    Unauthorized

  • 404

    Workflow or workflow condition not found

  • application/json
  • 500

    Internal Error

Request Example for put/workflows/{workflowId}/conditions/{workflowConditionId}
curl 'https://{prefix}.api.sandbox.checkout.com/workflows/wf_c7svxlvo2bbuva4f6s3xu4f7wm/conditions/wfc_d5estuyxzshubhly2wu3hloehi' \
  --request PUT \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "type": "event",
  "events": {
    "gateway": [
      "payment_approved",
      "payment_pending",
      "payment_declined"
    ]
  }
}'
No Body

Remove a workflow condition

Removes a workflow condition. Conditions determine when the workflow will trigger.

Path Parameters
  • workflowId
    Type: string Pattern: ^wf_[a-z2-7]{26}$
    required

    The workflow identifier

  • workflowConditionId
    Type: string Pattern: ^wfc_[a-z2-7]{26}$
    required

    The workflow condition identifier

Responses
  • 401

    Unauthorized

  • 404

    Workflow or workflow condition not found

  • 500

    Internal Error

Request Example for delete/workflows/{workflowId}/conditions/{workflowConditionId}
Shell Curl
curl 'https://{prefix}.api.sandbox.checkout.com/workflows/wf_c7svxlvo2bbuva4f6s3xu4f7wm/conditions/wfc_c7svxlvo2bbuva4f6s3xu4f7wm' \
  --request DELETE \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
No Body

Test a workflow

Validate a workflow in our Sandbox environment.

Path Parameters
  • workflowId
    Type: string Pattern: ^wf_[a-z2-7]{26}$
    required

    The workflow identifier

Body·
required
application/json
  • event_types
    Type: object · Event Types by Source

    Map of source names to their corresponding event types (e.g., gateway, issuing, authentication, etc.)

Responses
  • 401

    Unauthorized

  • 404

    Workflow not found

  • application/json
  • 500

    Internal Error

Request Example for post/workflows/{workflowId}/test
curl 'https://{prefix}.api.sandbox.checkout.com/workflows/wf_c7svxlvo2bbuva4f6s3xu4f7wm/test' \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "event_types": {
    "gateway": [
      "payment_approved",
      "payment_captured"
    ],
    "issuing": [
      "3ds_card_enrolled",
      "3ds_card_information_changed"
    ]
  }
}'
No Body

Get event types

Get a list of sources and their events for building new workflows

Responses
  • application/json
  • 401

    Unauthorized

  • 500

    Internal Error

Request Example for get/workflows/event-types
curl 'https://{prefix}.api.sandbox.checkout.com/workflows/event-types' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
[
  {
    "id": "gateway",
    "display_name": "Gateway",
    "description": "Events from the Checkout.com payment gateway",
    "events": [
      {
        "id": "payment_approved",
        "display_name": "Payment Authorized",
        "description": "Occurs when a payment is successfully authorized by the Checkout.com payment gateway"
      }
    ]
  }
]

Get an event

Get the details of an event

Path Parameters
  • eventId
    Type: string Pattern: ^evt_[a-z0-9]{26}$
    required

    The event identifier

Responses
  • application/json
  • 401

    Unauthorized

  • 404

    Event not found

  • 500

    Internal Error

Request Example for get/workflows/events/{eventId}
curl 'https://{prefix}.api.sandbox.checkout.com/workflows/events/evt_x5zm2po6kimubhlfitgt2mfwgi' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "evt_az5sblvku4ge3dwpztvyizgcau",
  "source": "gateway",
  "type": "payment_approved",
  "timestamp": "2026-09-23T13:52:07.856Z",
  "version": "1.0.0",
  "data": {
    "id": "pay_mbabizu24mvu3mela5njyhpit4",
    "action_id": "act_y3oqhf46pyzuxjbcn2giaqnb44",
    "amount": 6540,
    "currency": "USD",
    "approved": true,
    "status": "Authorized",
    "auth_code": "643381",
    "payment_type": "Regular",
    "response_code": "10000",
    "response_summary": "Approved",
    "scheme_id": "745664329470123",
    "3ds": {
      "downgraded": true,
      "enrolled": "N"
    },
    "flagged": true,
    "source": {
      "type": "card",
      "id": "src_nwd3m4in3hkuddfpjsaevunhdy",
      "billing_address": {
        "line1": "123 High St",
        "line2": "Flat 456",
        "town_city": "London",
        "state": "GB",
        "zip": "SW1A 1AA",
        "country": "GB"
      },
      "phone": {
        "country_code": "+1",
        "number": "415 555 2671"
      },
      "expiry_month": 12,
      "expiry_year": 2025,
      "scheme": "VISA'",
      "last_4": "4242",
      "fingerprint": "54710B428R6H190D29087FF265D8F48DF1AD34EDE41C27CBFF9D23C1A14D9876",
      "bin": "424242",
      "card_type": "CREDIT",
      "card_category": "CONSUMER",
      "issuer": "MERCHANT UK",
      "issuer_country": "GB",
      "product_id": "F",
      "product_type": "Visa Classic",
      "avs_check": "G",
      "cvv_check": "Y"
    },
    "processing": {
      "acquirer_transaction_id": "501979547418712947435",
      "retrieval_reference_number": "682643929865"
    },
    "balances": {
      "total_authorized": 6540,
      "total_voided": 0,
      "available_to_void": 6540,
      "total_captured": 0,
      "available_to_capture": 6540,
      "total_refunded": 0,
      "available_to_refund": 0
    },
    "event_links": {
      "payment": "https://{prefix}.api.checkout.com/payments/pay_wlu3wxc26jounofs5iez75qaqa",
      "dispute": "https://{prefix}.api.checkout.com/disputes/dsp_jfh5iqceqau0qw3ccf3p"
    },
    "customer": {
      "id": "cus_y3oqhf46pyzuxjbcn2giaqnb44",
      "email": "brucewayne@gmail.com",
      "name": "Bruce Wayne"
    },
    "processed_on": "2020-02-27T11:26:59Z",
    "reference": "ORD-5023-4E89",
    "metadata": {
      "coupon_code": "NY2018",
      "partner_id": 123989
    }
  },
  "action_invocations": [
    {
      "workflow_id": "wf_c7svxlvo2bbuva4f6s3xu4f7wm",
      "workflow_action_id": "wfa_uzkxpffkvpiu5fe3h5ira7sqpa",
      "status": "pending",
      "_links": {
        "self": {
          "href": "https://{prefix}.api.checkout.com/events/evt_az5sblvku4ge3dwpztvyizgcau/actions/wfa_uzkxpffkvpiu5fe3h5ira7sqpa"
        }
      }
    }
  ],
  "_links": {
    "self": {
      "href": "https://{prefix}.api.checkout.com/workflows/events/evt_az5sblvku4ge3dwpztvyizgcau"
    },
    "payment": {
      "href": "https://{prefix}.api.checkout.com/payments/pay_wlu3wxc26jounofs5iez75qaqa"
    },
    "dispute": {
      "href": "https://{prefix}.api.checkout.com/disputes/dsp_jfh5iqceqau0qw3ccf3p"
    }
  },
  "additionalProperty": "anything"
}

Get action invocations

Get the details of a workflow action executed for the specified event.

Path Parameters
  • eventId
    Type: string Pattern: ^evt_[a-z0-9]{26}$
    required

    The event identifier

  • workflowActionId
    Type: string Pattern: ^wfa_[a-z0-9]{26}$
    required

    The workflow action identifier

Responses
  • application/json
  • 401

    Unauthorized

  • 404

    Event not found

  • 500

    Internal Error

Request Example for get/workflows/events/{eventId}/actions/{workflowActionId}
curl 'https://{prefix}.api.sandbox.checkout.com/workflows/events/evt_x5zm2po6kimubhlfitgt2mfwgi/actions/wfa_uzkxpffkvpiu5fe3h5ira7sqpa' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "workflow_id": "wf_c7svxlvo2bbuva4f6s3xu4f7wm",
  "event_id": "evt_az5sblvku4ge3dwpztvyizgcau",
  "workflow_action_id": "wfa_uzkxpffkvpiu5fe3h5ira7sqpa",
  "action_type": "webhook",
  "status": "successful",
  "action_invocations": [
    {
      "invocation_id": "ivc_az5sblvku4ge3dwpztvyizgcau",
      "timestamp": "2019-05-23T08:26:59Z",
      "retry": false,
      "succeeded": true,
      "final": true,
      "result_details": {
        "status_code": 200,
        "url": "https://example.com/webhooks",
        "headers": {
          "Authorization": "<AUTHORIZATION_UUID>"
        },
        "response_received_timestamp": "2019-05-23T08:27:01Z"
      }
    },
    {
      "invocation_id": "ivc_az5sblvku4ge3dwpztvyizgcau",
      "timestamp": "2019-05-23T08:27:01Z",
      "retry": true,
      "succeeded": false,
      "final": false,
      "result_details": {
        "status_code": 500,
        "url": "https://example.com/webhooks",
        "headers": {
          "Authorization": "<AUTHORIZATION_UUID>"
        },
        "response_received_timestamp": "2019-05-23T08:27:01Z"
      }
    }
  ],
  "_links": {
    "self": {
      "href": "https://{prefix}.api.checkout.com/events/evt_az5sblvku4ge3dwpztvyizgcau/actions/wfa_uzkxpffkvpiu5fe3h5ira7sqpa"
    }
  }
}

Reflow by event

Reflows a past event denoted by the event ID and triggers the actions of any workflows with matching conditions.

Path Parameters
  • eventId
    Type: string Pattern: ^evt_[a-z0-9]{26}$
    required

    The unique identifier for the event to be reflowed.

Responses
  • 401

    Unauthorized

  • 404

    Events for reflow not found

  • 500

    Internal Error

Request Example for post/workflows/events/{eventId}/reflow
curl 'https://{prefix}.api.sandbox.checkout.com/workflows/events/evt_x5zm2po6kimubhlfitgt2mfwgi/reflow' \
  --request POST \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
No Body

Reflow by event and workflow

Reflows a past event by event ID and workflow ID. Triggers all the actions of a specific event and workflow combination if the event denoted by the event ID matches the workflow conditions.

Path Parameters
  • eventId
    Type: string Pattern: ^evt_[a-z0-9]{26}$
    required

    The unique identifier for the event to be reflowed.

  • workflowId
    Type: string Pattern: ^wf_[a-z0-9]{26}$
    required

    The identifier of the workflow whose actions you want to trigger.

Responses
  • 401

    Unauthorized

  • 404

    Events for reflow not found

  • 500

    Internal Error

Request Example for post/workflows/events/{eventId}/workflow/{workflowId}/reflow
curl 'https://{prefix}.api.sandbox.checkout.com/workflows/events/evt_x5zm2po6kimubhlfitgt2mfwgi/workflow/wf_c8zm2po6kimubhlfitgt2mferf/reflow' \
  --request POST \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
No Body

Reflow

Reflow past events attached to multiple event IDs and workflow IDs, or to multiple subject IDs and workflow IDs. If you don't specify any workflow IDs, all matching workflows will be retriggered.

Body
required
application/json
    • events
      Type: array string[]
      required

      A list of IDs for the events you want reflowed.

    • workflows
      Type: array string[]

      A list of IDs for the workflows whose actions you want to retrigger.

Responses
  • 401

    Unauthorized

  • 404

    Events for reflow not found

  • application/json
  • 500

    Internal Error

Request Example for post/workflows/events/reflow
curl 'https://{prefix}.api.sandbox.checkout.com/workflows/events/reflow' \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "events": [
    "evt_lzmo6p0i3612judj754w1ngtil",
    "evt_05z6xuagtti48ajyfbuekg6a0a"
  ],
  "workflows": [
    "wf_sq8jnqi9i749hhb470bu308uk2",
    "wf_bz91q7i4ks4sr0kasmas2xhp56"
  ]
}'
No Body

Get subject events

Get all events that relate to a specific subject

Path Parameters
  • subjectId
    Type: string
    required

    The event identifier

Responses
  • application/json
  • 401

    Unauthorized

  • 500

    Internal Error

Request Example for get/workflows/events/subject/{subjectId}
curl 'https://{prefix}.api.sandbox.checkout.com/workflows/events/subject/pay_wlu3wxc26jounofs5iez75qaqa' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "data": [
    {
      "id": "evt_zrrgsvsr47ou7fng4shy4mtf64",
      "type": "payment_approved",
      "timestamp": "2019-05-23T08:25:53Z",
      "_links": {
        "self": {
          "href": "https://{prefix}.api.checkout.com/events/evt_zrrgsvsr47ou7fng4shy4mtf64"
        }
      }
    },
    {
      "id": "evt_wgwdfyem4ode5furs5swyy6b2u",
      "type": "payment_captured",
      "timestamp": "2019-05-24T07:00:53Z",
      "_links": {
        "self": {
          "href": "https://{prefix}.api.checkout.com/events/evt_zrrgsvsr47ou7fng4shy4mtf64"
        }
      }
    }
  ]
}

Reflow by subject

Reflows the events associated with a subject ID (for example, a payment ID or a dispute ID) and triggers the actions of any workflows with matching conditions.

Path Parameters
  • subjectId
    Type: string Pattern: ^[a-z]{3}_[a-z0-9]{26}$
    required

    The subject identifier (for example, a payment ID or a dispute ID). The events associated with these subjects will be reflowed.

Responses
  • 401

    Unauthorized

  • 404

    Events for reflow not found

  • 500

    Internal Error

Request Example for post/workflows/events/subject/{subjectId}/reflow
curl 'https://{prefix}.api.sandbox.checkout.com/workflows/events/subject/pay_x5zm2po6kimubhlfitgt2mfwgi/reflow' \
  --request POST \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
No Body

Reflow by subject and workflow

Reflows the events associated with a subject ID (for example, a payment ID or a dispute ID) and triggers the actions of the specified workflow if the conditions match.

Path Parameters
  • subjectId
    Type: string Pattern: ^[a-z]{3}_[a-z0-9]{26}$
    required

    The subject identifier (for example, a payment ID or a dispute ID). The events associated with these subjects will be reflowed.

  • workflowId
    Type: string Pattern: ^wf_[a-z0-9]{26}$
    required

    The identifier of the workflow whose actions you want to trigger.

Responses
  • 401

    Unauthorized

  • 404

    Events for reflow not found

  • 500

    Internal Error

Request Example for post/workflows/events/subject/{subjectId}/workflow/{workflowId}/reflow
curl 'https://{prefix}.api.sandbox.checkout.com/workflows/events/subject/pay_x5zm2po6kimubhlfitgt2mfwgi/workflow/wf_c8zm2po6kimubhlfitgt2mferf/reflow' \
  --request POST \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
No Body